#include <Windows.h>
#include "com_initializer.h"
#include "sp_exception.h"

com_initializer::com_initializer()
{
	if(FAILED(CoInitializeEx(NULL, COINIT_MULTITHREADED)))
		throw sp_exception(sp_exception::internal_error, L"Unable to inizialize COM");
}

com_initializer::~com_initializer()
{
	CoUninitialize();
}
