#include "gdi_plus_initializer.h"
#include "sp_exception.h"

gdi_plus_initializer::gdi_plus_initializer()
	:token_(0)
{
	Gdiplus::GdiplusStartupInput input;
	Gdiplus::GdiplusStartupOutput output;
	if(Gdiplus::Ok != Gdiplus::GdiplusStartup(&token_, &input, &output))
		throw sp_exception(sp_exception::internal_error, L"Unable to inizialize GDI+");
}

gdi_plus_initializer::~gdi_plus_initializer()
{
	Gdiplus::GdiplusShutdown(token_);
}
